# Class TagKeyCache.TagKeyInfo

java.lang.Object
htsjdk.samtools.cram.structure.TagKeyCache.TagKeyInfo

Enclosing class:
  `TagKeyCache`

public static final class TagKeyCache.TagKeyInfo extends Object
Pre-computed metadata for a single tag ID.

## Field Summary

Fields
Modifier and Type
Field
Description
`final short`
`code`
Binary tag code as computed by `SAMTag.makeBinaryTag(String)`.
`final String`
`key`
Two-character tag name, e.g.
`final String`
`keyType3Bytes`
Three-character tag name + type, e.g.
`final int`
`keyType3BytesAsInt`
The 3-byte tag ID packed as an int (name high bytes, type low byte).
`final char`
`type`
The single-character type code, e.g.

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### key

public final String key
Two-character tag name, e.g. "NM", "MD", "RG".

### keyType3Bytes

public final String keyType3Bytes
Three-character tag name + type, e.g. "NMi", "MDZ".

### keyType3BytesAsInt

public final int keyType3BytesAsInt
The 3-byte tag ID packed as an int (name high bytes, type low byte).

### code

public final short code
Binary tag code as computed by `SAMTag.makeBinaryTag(String)`.

### type

public final char type
The single-character type code, e.g. 'i', 'Z', 'A'.